<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2008 - INRIA
 *
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry version="5.0-subset Scilab" xml:id="integrate" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>$LastChangedDate: 2008-04-08 09:42:14 +0200 (Tue, 08 Apr 2008)
    $</pubdate>
  </info>

  <refnamediv>
    <refname>integrate</refname>

    <refpurpose>integração pela quadratura</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Seqüência de Chamamento</title>

    <synopsis>x=integrate(expr,v,x0,x1 [,atol [,rtol]])</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parâmetros</title>

    <variablelist>
      <varlistentry>
        <term>expr</term>

        <listitem>
          <para>string definindo uma expressão Scilab</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>v</term>

        <listitem>
          <para>string (variável da integração) </para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>x0</term>

        <listitem>
          <para>número real (limite inferior de integração) </para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>x1</term>

        <listitem>
          <para>vetor de números reais, limites superiores de
          integração</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>atol</term>

        <listitem>
          <para>número real (erro absoluto). Valor padrão: 1.-8</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>rtol</term>

        <listitem>
          <para>número real (erro relativo). Valor padrão: 1e-14</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>x</term>

        <listitem>
          <para>vetor de números reais, o valor da integral para cada
          <literal>x1(i)</literal>.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Descrição</title>

    <para>Computa : <subscript><inlinemediaobject>
        <imageobject>
          <imagedata>
            <mml:math display="block"><mml:mi mathvariant="normal">x</mml:mi>
            <mml:mrow> <mml:mrow> <mml:mo>(</mml:mo> <mml:mi
            mathvariant="normal">i</mml:mi> <mml:mo>)</mml:mo> </mml:mrow>
            <mml:mo>=</mml:mo> <mml:mrow> <mml:msubsup> <mml:mo>∫</mml:mo>
            <mml:msub> <mml:mi mathvariant="normal">x</mml:mi>
            <mml:mn>0</mml:mn> </mml:msub> <mml:mrow> <mml:msub> <mml:mi
            mathvariant="normal">x</mml:mi> <mml:mn>1</mml:mn> </mml:msub>
            <mml:mrow> <mml:mo>(</mml:mo> <mml:mi
            mathvariant="normal">i</mml:mi> <mml:mo>)</mml:mo> </mml:mrow>
            </mml:mrow> </mml:msubsup> <mml:mi mathvariant="normal">f</mml:mi>
            </mml:mrow> </mml:mrow> <mml:mrow> <mml:mo>(</mml:mo> <mml:mi
            mathvariant="normal">v</mml:mi> <mml:mo>)</mml:mo> </mml:mrow>
            <mml:mi>d</mml:mi><mml:mi mathvariant="normal">v</mml:mi>
            <mml:annotation
            mml:encoding="StarMath 5.0">x(i)=int_{x_0}^{x_1(i)}
            f(v)dv</mml:annotation></mml:math>
          </imagedata>
        </imageobject>
      </inlinemediaobject></subscript> para
    <literal>i=1:size(x1,'*')</literal></para>

    <para>Onde <inlinemediaobject>
        <imageobject>
          <imagedata>
            <mml:math display="block"><mml:mi mathvariant="normal">f</mml:mi>
            <mml:mo>(</mml:mo> <mml:mi mathvariant="normal">v</mml:mi>
            <mml:mo>)</mml:mo></mml:math>
          </imagedata>
        </imageobject>
      </inlinemediaobject> é dado pela expressão
    <literal>expr</literal>.</para>

    <para>A avaliação procura satisfazer à seguinte precisão:
    <literal>abs(I-x)&lt;= max(atol,rtol*abs(I))</literal> onde I é o valor
    exato da integral.</para>
  </refsection>

  <refsection>
    <title>Restrição</title>

    <para>A expressão dada não deve utilizar nomes de variáveis começando por
    <literal>%</literal>.</para>
  </refsection>

  <refsection>
    <title>Exemplos</title>

    <programlisting role="example"><![CDATA[ 
x0=0;x1=0:0.1:2*%pi;
X=integrate('sin(x)','x',x0,x1);
norm(cos(x1)-(1-X))

x1=-10:0.1:10;
X=integrate(['if x==0 then 1,';
  'else sin(x)/x,end'],'x',0,x1)
 ]]></programlisting>
  </refsection>

  <refsection>
    <title>Ver Também</title>

    <simplelist type="inline">
      <member><link linkend="intg">intg</link></member>

      <member><link linkend="inttrap">inttrap</link></member>

      <member><link linkend="intsplin">intsplin</link></member>

      <member><link linkend="ode">ode</link></member>
    </simplelist>
  </refsection>
</refentry>
